1. Contacts
RASL
  • Introduction
  • Authentication
  • Changelog
  • Messages
    • Overview
    • Send Text Message
      POST
    • Send Media Message
      POST
    • Send Template Message
      POST
    • Send Interactive Message
      POST
    • List Messages
      GET
    • Get Message
      GET
  • Auth (OTP/Verification)
    • Overview
    • Send OTP
      POST
    • Verify OTP
      POST
    • Resend OTP
      POST
    • Check OTP Status
      POST
    • List Authentication Templates
      GET
  • Templates
    • Overview
    • List Templates
      GET
    • Get Template
      GET
    • Sync Templates
      POST
  • Contacts
    • Overview
    • List Contacts
      GET
    • Create Contact
      POST
    • Get Contact
      GET
    • Update Contact
      PATCH
    • Delete Contact
      DELETE
    • Batch Create Contacts
      POST
    • Batch Delete Contacts
      DELETE
  • Groups
    • Overview
    • List Groups
    • Create Group
    • Get Group
    • Update Group
    • Delete Group
    • Add Contacts to Group
    • Remove Contacts from Group
  • Account
    • Overview
    • Get Account Info
    • Get Usage Statistics
    • Get Plan Limits
  • Integrations
    • Webhook Format Reference
    • N8N Webhook Integration
    • eCommerce Webhook Integration
      • Webhook Listener
      • WooCommerce Webhook Setup
Dashboard
Support
Support
  • Email
  • WhatsApp
Dashboard
Support
Support
  • Email
  • WhatsApp
Instagram
  1. Contacts

Get Contact

GET
https://getrasl.io/api/v2/contacts/{id}

Retrieve a single contact by ID with optional relationship includes#

Required Scope#

contacts: read

Response#

Success (200 OK): Returns the contact data wrapped in ContactResource format

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://getrasl.io/api/v2/contacts/?include' \
--header 'Authorization: Bearer <token>'

Responses

🟢200Success
application/json
Body

Example
{
    "success": true,
    "data": {
        "data": {
            "id": 0,
            "firstname": "string",
            "lastname": "string",
            "company": "string",
            "type": "string",
            "email": "string",
            "phone": "string",
            "status_id": 0,
            "source_id": 0,
            "description": null,
            "city": null,
            "state": null,
            "zip": null,
            "address": null,
            "country_id": null,
            "assigned_id": 0,
            "group_id": [
                "string"
            ],
            "is_opted_out": true,
            "created_at": "string",
            "updated_at": "string"
        }
    },
    "meta": {
        "request_id": "string",
        "timestamp": "string"
    }
}
🟠401UNAUTHORIZED
🟠403INSUFFICIENT_SCOPE
🟠403FEATURE_LIMIT_EXCEEDED
🟠404NOT_FOUND
🟠422VALIDATION_ERROR
🟠422WHATSAPP_NOT_CONFIGURED
🟠429RATE_LIMIT_EXCEEDED
🔴500INTERNAL_ERROR
Previous
Create Contact
Next
Update Contact
Built with